Instalación y Actualización

Problema con archivos adjuntos y migración servidor

 
Randy Thornton
Re: Problema con archivos adjuntos y migración servidor
Grupo DocumentadoresGrupo Moodlers de gran ayuda


Lo me parece que la raíz del problema podría ser que la version de PHP es 7.0, pero la versión de Moodle es 2.4. En la captura de entorno del sitio, se muestra PHP tiene version 7.0.15. 

Las versiones de Moodle más antiguas (antes de 3.0) no funcionan bien con PHP 7. Vas a tener que implementar y configurar también PHP 5.6 en el servidor nuevo para Moodle 2.4.


- Randy


 
Promedio de calificaciones:Útil (2)
Imagen de Jose Luis Martin Jimenez
Re: Problema con archivos adjuntos y migración servidor
Grupo Moodlers de gran ayuda

Creo que Randy tiene razón y es muy posible que los problemas vengan por ahí.

No me había fijado en ese detalle de la versión de PHP.

Saludos.

 
Promedio de calificaciones: -
Imagen de Miquel Matallanes
Re: Problema con archivos adjuntos y migración servidor
 

Hola Randy,


Gracias por responder!

Sobre la versión PHP del servidor nuevo, ya lo había pensado que quizás tuviera problemas, porque el antiguo tiene la 5.6, pero cruce los dedos y no quería pensar en que la versión 7 con moodle 2.4.1 me diese problemas triste

Gracias por tu tiempo!!


Voy a ver como lo soluciono.


Saludos,


Miquel.

 
Promedio de calificaciones: -
Randy Thornton
Re: Problema con archivos adjuntos y migración servidor
Grupo DocumentadoresGrupo Moodlers de gran ayuda

Hola Miquel,

De nada y me gusto que el sitio funciona ahora. El consulto de Fernando, Juan Luis, y otros en esto hilo es experto. 

Debe informar su cliente que el sitio todavía tiene dos graves problemas de seguridad, uno con la ubicación de la carpeta moodledata y otro con versión 2.4 la que es muy antigua y fuera de soporte. Buena suerte!

Saludos,

Randy

 
Promedio de calificaciones: -